$Revision: 1.3 $
$Date: 2005/08/24 22:26:19 $

# Parameters

## `db_url` (string)

Database URL.

Default value is "mysql://root@localhost/msilo".

### Set the "db_url" parameter

    ...
    modparam("msilo", "db_url", "mysql://user:passwd@host.com/dbname")
    ...

## `db_table` (string)

The name of table where to store the messages.

Default value is "silo".

### Set the "db_table" parameter

    ...
    modparam("msilo", "db_table", "silo")
    ...

## `registrar` (string)

The SIP address used to inform users that destination of their message is not online and the message will be delivered next time when that user goes online. If the parameter is not set, the module will not send any notification. All requests intended for this SIP address will not be stored for lately delivery.

Default value is "NULL".

### Set the `registrar` parameter

    ...
    modparam("msilo", "registrar", "sip:registrar@iptel.org")
    ...

## `expire_time` (int)

Expire time of stored messages - seconds. When this time passed, the message is silently discarded from database.

Default value is 259200 (72 hours = 3 days).

### Set the `expire_time` parameter

    ...
    modparam("msilo", "expire_time", 36000)
    ...

## `check_time` (int)

Timer interval to check if dumped messages are sent OK - seconds. The module keeps each request send by itself for a new online user and if the reply is 2xx then the message is deleted from database.

Default value is 30.

### Set the `check_time` parameter

    ...
    modparam("msilo", "check_time", 10)
    ...

## `clean_period` (int)

Number of `check_time` cycles when to check if there are expired messages in database.

Default value is 5.

### Set the `clean_period` parameter

    ...
    modparam("msilo", "clean_period", "3")
    ...

## `use_contact` (int)

Turns on/off the usage of the Contact address to send notification back to sender whose message is stored by MSILO.

Default value is 1 (0 = off, 1 = on).

### Set the `param_name` parameter

    ...
    modparam("msilo", "use_contact", 0)
    ...